%define name karamba
%define version 0.17
%define release %mkrel 8

Summary:	Program that can display a lot of various information right on your desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.efd.lth.se/~d98hk/karamba/	
Group:		Graphical desktop/KDE 
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_test.tar.bz2
Source2:	scripts.tar.bz2
Source3:	%{name}.sh
Source4:	noatun.theme
Patch0:		%{name}-startdir.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	kdelibs-devel
Requires:	xmmsctrl perl-libwww-perl perl-HTML-Parser

%description
Karamba is a KDE program that can display a lot of various information
right on your desktop. Karamba uses the same "fake" transparency effect 
that e.g., Konsole can use. For the autor this is not a big problem as the 
purpose of Karamba is sit on the background. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup 
bzcat %{SOURCE1} | tar xvf -
bzcat %{SOURCE2} | tar xvf -
%patch0  -b .mdk


%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug \
            --enable-mt \
            --enable-shared \
            --disable-static \
            --disable-objprelink \
            --with-pic \
            --with-gnu-ld \
            --disable-rpath \
            --disable-embedded \
            --enable-fast-install=yes \
            --with-qt-dir=/usr/lib/qt3 \
            --disable-warnings

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d -m 755 %{buildroot}/%{_menudir}
install -d -m 755 %{buildroot}%{_miconsdir}
mv %{buildroot}/%{_bindir}/%{name} %{buildroot}/%{_bindir}/%{name}.real
install -m 755 %{SOURCE3} %{buildroot}/%{_bindir}/%{name}
kdedesktop2mdkmenu.pl %{name} Applications/Monitoring $RPM_BUILD_ROOT/%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
install -m 644 %{buildroot}%{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}
install -m 644 %{buildroot}%{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}
install -d -m 755 %{buildroot}/%{_datadir}/apps/%{name}/themes/
install -d -m 755 %{buildroot}/%{_datadir}/apps/%{name}/themes/pics/
install -d -m 755 %{buildroot}/%{_datadir}/apps/%{name}/scripts/
install -m 644 %{name}_test/*.theme %{buildroot}/%{_datadir}/apps/%{name}/themes/
install -m 644 %{name}_test/pics/* %{buildroot}/%{_datadir}/apps/%{name}/themes/pics/
install -m 755 scripts/* %{buildroot}/%{_datadir}/apps/%{name}/scripts/
install -m 644 %{SOURCE4} %{buildroot}/%{_datadir}/apps/%{name}/themes/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache locolor
%endif

%postun
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache locolor
%endif


%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/%{name}.real
%{_bindir}/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}/karambaui.rc
%{_datadir}/apps/%{name}/scripts/*
%{_datadir}/apps/%{name}/themes/*
%{_docdir}/HTML/*/%{name}/*
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-2mdv2007.0
- Rebuild for nzw menu and extension
- Use macro for icons

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-7mdk
- Remove redundant Buildrequires
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.17-6mdk
- Fux requires

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.17-5mdk
- Rebuild 

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.17-4mdk
- Rebuild

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.17-3mdk
- buildrequires

* Thu Apr 17 2003 Laurent Culioli <laurent@pschit.net> 0.17-2mdk
- Buildrequires

* Wed Apr 16 2003 Laurent Culioli <laurent@pschit.net> 0.17-1mdk
- 0.17

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.15-1mdk
- 0.15

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-2mdk
- fix wrapper

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-1mdk
- initial package
- add wrapper to setup scripts
- patch0 : add startdir
- noatun.theme contributed by Shift \o/
